import { OnInit, EventEmitter } from '@angular/core';
import { BaseGaugeService } from './base-gauge.service';
import { ECharts } from "echarts";
import { ChartResizeService } from '../../service/chart-resize.service';
export declare class BaseGaugeComponent implements OnInit {
    private baseGaugeService;
    private chartResizeService;
    constructor(baseGaugeService: BaseGaugeService, chartResizeService: ChartResizeService);
    initOpts: any;
    echartOption: any;
    ngOnInit(): void;
    options: any;
    initEchart(): void;
    cardBgColor: string;
    cardPadding: string;
    chartTitle: {
        show: boolean;
        label: string;
    };
    optionInit: ECharts;
    onOptionInit(ec: any): void;
    bcacChartData: any;
    bcacTitle: string;
    bcacCloseTitle: boolean;
    dataSourceSelectData: any[];
    bcacDataSourceList: any[];
    bcacChartLoading: boolean;
    bcacSmallMode: boolean;
    bcacDarkMode: boolean;
    chartTitleColor: string;
    changeChartTitleColor(darkMode: boolean | string): void;
    changeCardBackgroundColor(darkMode: boolean | string): void;
    bcacDataSourceSelectEmit: EventEmitter<any>;
    dataSourceChange(e: any): void;
    updateOption(): void;
}
